.TH elvish 1 "2024-08-15" "elvish 0.21.0"

.SH NAME
elvish - Powerful scripting language & versatile interactive shell

.SH SYNOPSIS
.B elvish
[flags] [script] [args]

.SH FLAGS
.TP
-buildinfo
Output information about the Elvish build and quit
.TP
-c
Treat the first argument as code to execute
.TP
-compileonly
Parse and compile Elvish code without executing it
.TP
-deprecation-level int
Show warnings for all features deprecated as of version 0.X (default 21)
.TP
-help
Show usage help and quit
.TP
-i
A no-op flag, introduced for POSIX compatibility
.TP
-json
Show the output from -buildinfo, -compileonly or -version in JSON
.TP
-l
A no-op flag, introduced for compatibility
.TP
-log string
Path to a file to write debug logs
.TP
-lsp
Run the builtin language server
.TP
-norc
Don't read the RC file when running interactively
.TP
-rc string
Path to the RC file when running interactively
.TP
-version
Output the Elvish version and quit

.SH DESCRIPTION
Elvish is an expressive programming language and a versatile interactive
shell, combined into one seamless package. It runs on Linux, BSDs, macOS
and Windows.

.SH SEE ALSO
.B https://elv.sh
.P
Use
.B doc:
module for documentations.

.SH AUTHOR
This manual page was written by Shengjing Zhu <zhsj@debian.org>,
for the Debian GNU/Linux system (but may be used by others).
